Bug 969776 - [abrt] yum-utils-1.1.31-5.fc18: yumRepo.py:1259:_revertOldRepoXML:OSError: [Errno 2] Aucun fichier ou dossier de ce type
[abrt] yum-utils-1.1.31-5.fc18: yumRepo.py:1259:_revertOldRepoXML:OSError: [E...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:81ee79af96faa7f2fed4a9886e1...
:
: 989783 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 06:08 EDT by Remi Collet
Modified: 2015-02-18 06:11 EST (History)
6 users (show)

See Also:
Fixed In Version: yum-utils-1.1.31-15.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:11:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.78 KB, text/plain)
2013-06-02 06:08 EDT, Remi Collet
no flags Details
File: core_backtrace (1.12 KB, text/plain)
2013-06-02 06:08 EDT, Remi Collet
no flags Details
File: environ (154 bytes, text/plain)
2013-06-02 06:08 EDT, Remi Collet
no flags Details
state.patch (1.36 KB, text/plain)
2013-07-09 02:31 EDT, Remi Collet
no flags Details

  None (edit)
Description Remi Collet 2013-06-02 06:08:15 EDT
Description of problem:
Running various mock command at the same time.
It seems it's a run condition when 2 mock try to run /usr/bin/repoquery -c xxx/yum.conf -a --qf '%{nevra} %{buildtime} %{size} %{pkgid} %{repoid}'

Version-Release number of selected component:
yum-utils-1.1.31-5.fc18

Additional info:
cmdline:        /usr/bin/python -tt /usr/bin/repoquery -c /dev/shm/fc18x/root//etc/yum.conf -a --qf '%{nevra} %{buildtime} %{size} %{pkgid} %{repoid}'
dso_list:       yum-3.4.3-31.fc17.noarch
executable:     /usr/bin/repoquery
kernel:         3.8.12-100.fc17.x86_64
uid:            0
ureports_counter: 2

Truncated backtrace:
yumRepo.py:1259:_revertOldRepoXML:OSError: [Errno 2] Aucun fichier ou dossier de ce type

Traceback (most recent call last):
  File "/usr/bin/repoquery", line 1510, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 1504, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 982, in runQuery
    pkgs = self.matchPkgs(items, plain_pkgs=plain_pkgs)
  File "/usr/bin/repoquery", line 903, in matchPkgs
    pkgs = self.returnPkgList(patterns=items)
  File "/usr/bin/repoquery", line 856, in returnPkgList
    pkgs = self.pkgSack.returnNewestByNameArch(**kwargs)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1013, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 779, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 309, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 134, in doSetup
    self.retrieveAllMD()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 84, in retrieveAllMD
    dl = repo._async and repo._commonLoadRepoXML(repo)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1425, in _commonLoadRepoXML
    self._revertOldRepoXML()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1259, in _revertOldRepoXML
    os.rename(old_data['old_local'], old_data['local'])
OSError: [Errno 2] Aucun fichier ou dossier de ce type

Local variables in innermost frame:
old_data: {'old_repo_XML': <yum.repoMDObject.RepoMD instance at 0x1c4e488>, 'local': '/var/cache/yum/rpmfusion-free/repomd.xml', 'new_MD_files': [], 'old_local': '/var/cache/yum/rpmfusion-free/repomd.xml.old.tmp'}
self: <yum.yumRepo.YumRepository object at 0x1b92250>
Comment 1 Remi Collet 2013-06-02 06:08:20 EDT
Created attachment 755794 [details]
File: backtrace
Comment 2 Remi Collet 2013-06-02 06:08:23 EDT
Created attachment 755795 [details]
File: core_backtrace
Comment 3 Remi Collet 2013-06-02 06:08:26 EDT
Created attachment 755796 [details]
File: environ
Comment 4 Zdeněk Pavlas 2013-06-03 03:43:44 EDT
You're right, repoquery was not locking the cachedir.
Comment 5 Fedora End Of Life 2013-07-04 02:24:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Remi Collet 2013-07-09 01:49:14 EDT
Still present in Fedora 19.

Note : some yum system background task can also raised this issue, even when a single mock build is running.
Comment 7 Remi Collet 2013-07-09 02:31:16 EDT
Created attachment 770814 [details]
state.patch

Trivial patch/workaround proposal.

When the error occurs, the step is retried. Seems to work:
...
Start: build setup for php-horde-Horde-Role-1.0.1-3.remi.src.rpm
Start: Outputting list of available packages
INFO: FAILED repoquery
Finish: Outputting list of available packages
Start: Outputting list of available packages
INFO: FAILED repoquery
Finish: Outputting list of available packages
Start: Outputting list of available packages
INFO: FAILED repoquery
Finish: Outputting list of available packages
Finish: build setup for php-horde-Horde-Role-1.0.1-3.remi.src.rpm
...

Of course, we loose this information, but it doesn't seems mandatory.
Comment 8 Zdeněk Pavlas 2013-07-30 03:39:53 EDT
*** Bug 989783 has been marked as a duplicate of this bug. ***
Comment 9 Peter Bojtos 2013-12-06 05:07:15 EST
I've created a new mock package with Remi's patch for my EL6 and fedora hosts as well. It solved the problem for me. Should we create a new mock package?
Comment 10 Fedora End Of Life 2015-01-09 17:34:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 06:11:55 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.